@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;500&display=swap');
@import url('https://fonts.cdnfonts.com/css/ancient');
@import url('https://fonts.googleapis.com/css2?family=Open+Sans:wght@300&display=swap');

html{
    scroll-behavior: smooth;
}
body * {
    transition: .1s;
}

:root,
[data-bs-fontSize="x"] {
    --root------------fontSize: 19px;
    --root----------fontFamily: 'Lato', sans-serif;
}

[data-bs-fontSize="xxx"] {
    --root------------fontSize: 30px;
    --root----------fontFamily: "Open Sans", sans-serif;
}

[data-bs-theme="light"] {
    --root-color-text----title: #000000;
    --root-color-text-----main: #000000;
    --root-color-text----aside: #000000;
    --root-color-text---footer: #000000;
    --root-color-body------tlo: rgb(106 191 213);
    --root-color-header----tlo: rgb(255 255 255 / 80%);
    --root-color-main------tlo: rgb(255 255 255 / 0%);
    --root-color-aside-----tlo: rgb(255 255 255 / 0%);
    --root-color-footer----tlo: rgb(255 255 255 / 80%);
    --root-color-header---link: rgb(255 255 255 / 0%);
    --root-color-aside----link: rgb(255 255 255 / 0%);
    --root-color-footer---link: rgb(255 255 255 / 0%);
    --root-color-company--logo: rgb(255 255 255);
}

[data-bs-theme="dark"] {
    --root-color-text----title: #c7c7c7;
    --root-color-text-----main: #c7c7c7;
    --root-color-text----aside: #c7c7c7;
    --root-color-text---footer: #000000;
    --root-color-body------tlo: rgb(38 17 18);
    --root-color-header----tlo: rgb(255 255 255 / 10%);
    --root-color-main------tlo: rgb(255 255 255 / 0%);
    --root-color-aside-----tlo: rgb(255 255 255 / 0%);
    --root-color-footer----tlo: rgb(255 255 255 / 10%);
    --root-color-header---link: rgb(255 255 255 / 0%);
    --root-color-aside----link: rgb(255 255 255 / 0%);
    --root-color-footer---link: rgb(255 255 255 / 0%);
    --root-color-company--logo: rgb(255 255 255 / 80%);
}

[data-bs-contrast="contrast+"] {
    --root-color-text----title: rgb(255, 225, 0);
    --root-color-text-----main: rgb(255, 226, 0);
    --root-color-text----aside: rgb(255, 226, 0);
    --root-color-text---footer: rgb(0, 0, 0);
    --root-color-body------tlo: rgb(0, 0, 0);
    --root-color-header----tlo: rgb(0, 0, 0);
    --root-color-main------tlo: rgb(0, 0, 0);
    --root-color-aside-----tlo: rgb(0, 0, 0);
    --root-color-footer----tlo: rgb(0, 0, 0);
    --root-color-header---link: rgb(51, 51, 51);
    --root-color-aside----link: rgba(51, 51, 51, 0);
    --root-color-footer---link: rgb(0, 0, 0);
    --root-color-company--logo: rgb(255, 220, 0);
}
